package simpleArray;

import static org.junit.Assert.assertFalse;

import java.io.File;
import java.io.FileNotFoundException;

import org.junit.BeforeClass;
import org.junit.Test;

import config.Example;
import edu.udel.cis.vsl.tass.config.VerifyConfiguration;
import edu.udel.cis.vsl.tass.front.minimp.ModelExtractor;
import edu.udel.cis.vsl.tass.model.IF.ModelIF;
import edu.udel.cis.vsl.tass.verify.Verification;

public class SimpleArray3Test {

	private static ModelIF model;
	private static VerifyConfiguration configuration;
	
	@BeforeClass
	public static void setUpBeforeClass() throws Exception {
		File rootDirectory = new File(Example.exampleDirectory, "simpleArray");

		configuration = new VerifyConfiguration(new File(rootDirectory,
				"TASSREP"));
		configuration.setSourceFile(new File(rootDirectory, "simpleArray3.c"));
		configuration.setModelName("simpleArray3");
		configuration.setNumProcs(1);
		model = ModelExtractor.extractModel(configuration);
	}

	@Test
	public void testOutOfBounds() throws FileNotFoundException {
		assertFalse(Verification.verify(model, configuration, true));
	}
}
